This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 385771

Summary: Review Request: urbanterror - FPS best be described as a Hollywood tactical shooter
Product: [Fedora] Fedora Reporter: Hans de Goede <hdegoede>
Component: Package ReviewAssignee: Nobody's working on this, feel free to take it <nobody>
Status: CLOSED NOTABUG QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: bnocera, fedora-package-review, gilboad, notting
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2007-12-23 17:13:59 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 201449    

Description Hans de Goede 2007-11-15 16:46:15 EST
Spec URL: http://people.atrpms.net/~hdegoede/urbanterror.spec
SRPM URL: http://people.atrpms.net/~hdegoede/urbanterror-4.0-1.fc9.src.rpm
Description:
Urban Terror could best be described as a Hollywood tactical shooter; it is
realism based to a certain extent (environments/weapons/player models), but
also goes by the motto "fun over realism" (fast gameplay and lots of action).
This combination of reality and action results in a very unique, enjoyable
and addictive game.

Urban Terror uses the GPL licensed ioquake3 engine, however the Urban Terror  
datafiles are not freely redistributable. This package will install an Urban
Terror menu entry, which will automatically download the necessary datafiles
the first time you start Urban Terror.
Comment 1 Bastien Nocera 2007-11-15 18:40:48 EST
I looked at making an RPM for this, when Quake3 was committed, but couldn't find
any explanations as to the licensing. The data files are pretty big (about 1/2 a
gig), so having the data in the RPM would make sense.

Hans, did you do any research on the licensing of the data files?
Comment 2 Gilboa Davara 2007-11-15 21:59:28 EST
I wonder if it shouldn't be broken into two packages - ioquake (which is being
used by other games - at least AFAIR) and the download script.

P.S. have you contacted UT's dev team about redistribution?
Comment 3 Gilboa Davara 2007-11-15 22:00:36 EST
Ignore my question - I just re-read the spec file :)
Comment 4 Hans de Goede 2007-11-16 03:16:02 EST
(In reply to comment #1)
> I looked at making an RPM for this, when Quake3 was committed, but couldn't find
> any explanations as to the licensing. The data files are pretty big (about 1/2 a
> gig), so having the data in the RPM would make sense.
> 

Or not, do we really want to add 1 gig per release, so 3 gigs for F-7 F-8 and
devel to the diskspace usage just for this one game?

> Hans, did you do any research on the licensing of the data files?

Yes, here is what upstreams license info says:

"Urban Terror is distributed free over the Internet and is covered by the Quake
3SDK licence agreement [EULA]. The mod files may not be sold [in any form] or
distributed on physical media unless with permission from iD Software.

For further information on legal use of programs derived from Quake 3 source
code, please contact their respective authors."

This seems to stem from before quake3 itself was released under the GPL, we
could ask them to change this and maybe the are willing to allow unmodified
redistribution. But do we really want to carry those 3 Gigs?

Notice that the current package uses autodownloader, and thus works around the
current license. The current package is really nothing more then a bunch of
textfiles, I wanted to first add these to the quake3 rpm, but then Urban Terror
won't show up int "Add / Remove Programs" from the Applications menu.
Comment 5 Rahul Sundaram 2007-12-21 20:27:11 EST
Bastien, 

Are you interested in reviewing this package? Anyone else? I am planning to push
an updated version of the games spin and would like to have this game in if
possible. 
Comment 6 Hans de Goede 2007-12-22 05:23:48 EST
Actually I have been thinking some more about this, I've been talking with the
openarena package maintainer, as openarena currently includes its own copy of
the quake3 engine. So the plan is to split the quake3 package in a base quake3
package  and a quake3-demo sub-package which will contain the autodlrc and
.desktop file, this way people who install openarena will not automatically get
the quake3-demo .desktop file.

The new quake3-demo sub package will obsolete the version of quake3 which still
includes it so that the .desktop file will not suddenly disappear for current
users. I'll also update comps to refer to quake3-demo not quake3. I've been
thinking that adding other autodl quake3 using games to the quake3 packages as
subpackages (using -n to not get a quake3 prefix), is better then having very
small packages for each of them, then I can also add the subpackage names to
comps to make them show up in add/remove software.

So I would like to drop this review request, I know we have a procedure for this
somehwere, anyone got a link ready?

I'll also be adding a launcher + autodlrc file for world of padman the same way,
I guess that would be nice to have in the games spin too. I'll post back here
once a new version of the quake3 package with both urbanterror and worldofpadman
sub-packages is available.

Comment 7 Rahul Sundaram 2007-12-22 05:35:38 EST
AFAIK, the steps to close a review request are

* The ticket is closed with resolution NOTABUG.
* The FE-NEW blocker is removed and is replaced by FE-DEADREVIEW
Comment 8 Hans de Goede 2007-12-23 17:13:59 EST
Okay, a new quake3 package, with the demo autodl stuff in a seperate quake3-demo
package now (so that should be updated in the live games dvd kickstart file) is
available here:
http://koji.fedoraproject.org/packages/quake3/1.34/0.6.rc4.fc8/

This also includes a launcher / downloader for Urban Terror (package name
urbanterror) and World of Padman (package name worldofpadman)

I'll be pushing it to updates-testing right away and I'll push it to stable once
it has some testing and positive feedback, so please give this a spin and let me
know how it works.

Once its in updates-stable, then the games live dvd kickstart file should
include the following 3 packages:
quake3-demo
urbanterror
worldofpadman

Talking about the games livedvd, it would also be nice to put nogravity on it,
perhaps someone can give that review a little nudge? Its almost done, see
bug 366841.

Closing this bug as urbanterror will now be a part of the quake3 package.
Comment 9 Rahul Sundaram 2007-12-24 07:13:30 EST
I have added the 3 packages to the kickstart file. nogravity to the wishlist. I
will keep an eye on it. Thanks. 
Comment 10 Hans de Goede 2007-12-24 07:20:48 EST
Any chance you could give the packages here:
http://koji.fedoraproject.org/packages/quake3/1.34/0.6.rc4.fc8/
a try?

I'm not asking you todo any serious play testing, just install them, let
autodownloader do its thing (which will take a while at 700 resp 600 MB) and
then check if the game starts ok.

I mainly want to make sure the autodlrc and shell scripts are ok.
Comment 11 manuel wolfshant 2007-12-24 17:16:23 EST
Any way of testing this remotely ? When launching quake3-demo I am informed that
my system is not capable of hardware accelerated 3D and therefore I cannot play
quake3. And that's all...
I would have given a try using my work connection, but I have to do it remotely...
Comment 12 Hans de Goede 2007-12-25 05:02:08 EST
(In reply to comment #11)
> Any way of testing this remotely ? When launching quake3-demo I am informed that
> my system is not capable of hardware accelerated 3D and therefore I cannot play
> quake3. And that's all...
> I would have given a try using my work connection, but I have to do it remotely...
> 

I'm afraid not, the launch script check can easily be disabled by editing the
launch script, but the quake3 engine itself does a similar check.